Get a company and its filings
curl --request GET \
--url https://api.numi.sh/v1/companies/{ref} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.numi.sh/v1/companies/{ref}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.numi.sh/v1/companies/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.numi.sh/v1/companies/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.numi.sh/v1/companies/{ref}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.numi.sh/v1/companies/{ref}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.numi.sh/v1/companies/{ref}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"company": {
"cik": "0000789019",
"ticker": "MSFT",
"tickers": [
"<string>"
],
"name": "MICROSOFT CORPORATION",
"exchange": "Nasdaq"
},
"filings": [
{
"id": 123,
"form_type": "10-K",
"filing_date": "2023-12-25",
"period_end": "2023-12-25",
"fiscal_year": 123,
"fiscal_period": "FY",
"period_type": "annual",
"is_amendment": true,
"has_segments": true,
"has_note": true
}
]
},
"meta": {
"request_id": "req_Qm3xYb9Kd2LpR7wA",
"as_of": "2026-10-19T12:34:56.789Z"
}
}{
"error": {
"code": "bad_request",
"message": "limit: must be from 1 to 50"
},
"meta": {
"request_id": "req_Qm3xYb9Kd2LpR7wA"
}
}{
"error": {
"code": "unauthorized",
"message": "The request has no API key. Send a numi API key in the X-API-Key header."
},
"meta": {
"request_id": "req_Qm3xYb9Kd2LpR7wA"
}
}{
"error": {
"code": "sandbox_restricted",
"message": "TSLA is not in the sandbox. With a sandbox key, you can read 10 companies: MSFT, AAPL, NVDA, AMZN, GOOGL, META, NFLX, CVX, JPM and SONY. To read every company, upgrade to the Builder plan at https://numi.sh/account.",
"sandbox_companies": [
"MSFT",
"AAPL",
"NVDA",
"AMZN",
"GOOGL",
"META",
"NFLX",
"CVX",
"JPM",
"SONY"
]
},
"meta": {
"request_id": "req_Qm3xYb9Kd2LpR7wA"
}
}{
"error": {
"code": "not_found",
"message": "The API has no route for GET /v1/nothing. Find the routes of the API at https://docs.numi.sh."
},
"meta": {
"request_id": "req_Qm3xYb9Kd2LpR7wA"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The sandbox plan has a limit of 20 requests a minute. Retry in 12 seconds.",
"retry_after": 12,
"scope": "minute"
},
"meta": {
"request_id": "req_Qm3xYb9Kd2LpR7wA"
}
}Companies
Get a company and its filings
Returns the company and each of its extracted filings, the newest period first.
GET
/
companies
/
{ref}
Get a company and its filings
curl --request GET \
--url https://api.numi.sh/v1/companies/{ref} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.numi.sh/v1/companies/{ref}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.numi.sh/v1/companies/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.numi.sh/v1/companies/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.numi.sh/v1/companies/{ref}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.numi.sh/v1/companies/{ref}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.numi.sh/v1/companies/{ref}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"company": {
"cik": "0000789019",
"ticker": "MSFT",
"tickers": [
"<string>"
],
"name": "MICROSOFT CORPORATION",
"exchange": "Nasdaq"
},
"filings": [
{
"id": 123,
"form_type": "10-K",
"filing_date": "2023-12-25",
"period_end": "2023-12-25",
"fiscal_year": 123,
"fiscal_period": "FY",
"period_type": "annual",
"is_amendment": true,
"has_segments": true,
"has_note": true
}
]
},
"meta": {
"request_id": "req_Qm3xYb9Kd2LpR7wA",
"as_of": "2026-10-19T12:34:56.789Z"
}
}{
"error": {
"code": "bad_request",
"message": "limit: must be from 1 to 50"
},
"meta": {
"request_id": "req_Qm3xYb9Kd2LpR7wA"
}
}{
"error": {
"code": "unauthorized",
"message": "The request has no API key. Send a numi API key in the X-API-Key header."
},
"meta": {
"request_id": "req_Qm3xYb9Kd2LpR7wA"
}
}{
"error": {
"code": "sandbox_restricted",
"message": "TSLA is not in the sandbox. With a sandbox key, you can read 10 companies: MSFT, AAPL, NVDA, AMZN, GOOGL, META, NFLX, CVX, JPM and SONY. To read every company, upgrade to the Builder plan at https://numi.sh/account.",
"sandbox_companies": [
"MSFT",
"AAPL",
"NVDA",
"AMZN",
"GOOGL",
"META",
"NFLX",
"CVX",
"JPM",
"SONY"
]
},
"meta": {
"request_id": "req_Qm3xYb9Kd2LpR7wA"
}
}{
"error": {
"code": "not_found",
"message": "The API has no route for GET /v1/nothing. Find the routes of the API at https://docs.numi.sh."
},
"meta": {
"request_id": "req_Qm3xYb9Kd2LpR7wA"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The sandbox plan has a limit of 20 requests a minute. Retry in 12 seconds.",
"retry_after": 12,
"scope": "minute"
},
"meta": {
"request_id": "req_Qm3xYb9Kd2LpR7wA"
}
}Authorizations
ApiKeyBearerKey
A numi API key, sent in the X-API-Key header.
Path Parameters
The company, as a ticker such as MSFT or BRK.B, or as cik: and the digits of its CIK (the SEC's Central Index Key), such as cik:789019. A ticker matches in upper or lower case, and . and - match each other, so BRK.B and BRK-B are the same company.
Pattern:
^([Cc][Ii][Kk]:[0-9]{1,10}|[A-Za-z0-9.-]{1,16})$Example:
"MSFT"